/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * PriceProtectionCreateClaimRequest
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class PriceProtectionCreateClaimRequest {
  @SerializedName("purchased_item")
  private PurchasedItem purchasedItem = null;

  @SerializedName("advertised_price")
  private AdvertisedPrice advertisedPrice = null;

  @SerializedName("existing_case")
  private Model93 existingCase = null;

  @SerializedName("affected_person")
  private AffectedPerson affectedPerson = null;

  @SerializedName("other_insurance_covering")
  private OtherInsuranceCovering otherInsuranceCovering = null;

  @SerializedName("legal_consents")
  private LegalConsents legalConsents = null;

  @SerializedName("policy")
  private Model110 policy = null;

  @SerializedName("total_amount_claimed")
  private Model70 totalAmountClaimed = null;

  @SerializedName("amount_estimation_damage")
  private Model122 amountEstimationDamage = null;

  @SerializedName("contact_phones")
  private Model84 contactPhones = null;

  @SerializedName("certificate_id")
  private String certificateId = null;

  public PriceProtectionCreateClaimRequest purchasedItem(PurchasedItem purchasedItem) {
    this.purchasedItem = purchasedItem;
    return this;
  }

   /**
   * Get purchasedItem
   * @return purchasedItem
  **/
  @ApiModelProperty(value = "")
  public PurchasedItem getPurchasedItem() {
    return purchasedItem;
  }

  public void setPurchasedItem(PurchasedItem purchasedItem) {
    this.purchasedItem = purchasedItem;
  }

  public PriceProtectionCreateClaimRequest advertisedPrice(AdvertisedPrice advertisedPrice) {
    this.advertisedPrice = advertisedPrice;
    return this;
  }

   /**
   * Get advertisedPrice
   * @return advertisedPrice
  **/
  @ApiModelProperty(value = "")
  public AdvertisedPrice getAdvertisedPrice() {
    return advertisedPrice;
  }

  public void setAdvertisedPrice(AdvertisedPrice advertisedPrice) {
    this.advertisedPrice = advertisedPrice;
  }

  public PriceProtectionCreateClaimRequest existingCase(Model93 existingCase) {
    this.existingCase = existingCase;
    return this;
  }

   /**
   * Get existingCase
   * @return existingCase
  **/
  @ApiModelProperty(value = "")
  public Model93 getExistingCase() {
    return existingCase;
  }

  public void setExistingCase(Model93 existingCase) {
    this.existingCase = existingCase;
  }

  public PriceProtectionCreateClaimRequest affectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
    return this;
  }

   /**
   * Get affectedPerson
   * @return affectedPerson
  **/
  @ApiModelProperty(required = true, value = "")
  public AffectedPerson getAffectedPerson() {
    return affectedPerson;
  }

  public void setAffectedPerson(AffectedPerson affectedPerson) {
    this.affectedPerson = affectedPerson;
  }

  public PriceProtectionCreateClaimRequest otherInsuranceCovering(OtherInsuranceCovering otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
    return this;
  }

   /**
   * Get otherInsuranceCovering
   * @return otherInsuranceCovering
  **/
  @ApiModelProperty(value = "")
  public OtherInsuranceCovering getOtherInsuranceCovering() {
    return otherInsuranceCovering;
  }

  public void setOtherInsuranceCovering(OtherInsuranceCovering otherInsuranceCovering) {
    this.otherInsuranceCovering = otherInsuranceCovering;
  }

  public PriceProtectionCreateClaimRequest legalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
    return this;
  }

   /**
   * Get legalConsents
   * @return legalConsents
  **/
  @ApiModelProperty(required = true, value = "")
  public LegalConsents getLegalConsents() {
    return legalConsents;
  }

  public void setLegalConsents(LegalConsents legalConsents) {
    this.legalConsents = legalConsents;
  }

  public PriceProtectionCreateClaimRequest policy(Model110 policy) {
    this.policy = policy;
    return this;
  }

   /**
   * Get policy
   * @return policy
  **/
  @ApiModelProperty(required = true, value = "")
  public Model110 getPolicy() {
    return policy;
  }

  public void setPolicy(Model110 policy) {
    this.policy = policy;
  }

  public PriceProtectionCreateClaimRequest totalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
    return this;
  }

   /**
   * Get totalAmountClaimed
   * @return totalAmountClaimed
  **/
  @ApiModelProperty(value = "")
  public Model70 getTotalAmountClaimed() {
    return totalAmountClaimed;
  }

  public void setTotalAmountClaimed(Model70 totalAmountClaimed) {
    this.totalAmountClaimed = totalAmountClaimed;
  }

  public PriceProtectionCreateClaimRequest amountEstimationDamage(Model122 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
    return this;
  }

   /**
   * Get amountEstimationDamage
   * @return amountEstimationDamage
  **/
  @ApiModelProperty(value = "")
  public Model122 getAmountEstimationDamage() {
    return amountEstimationDamage;
  }

  public void setAmountEstimationDamage(Model122 amountEstimationDamage) {
    this.amountEstimationDamage = amountEstimationDamage;
  }

  public PriceProtectionCreateClaimRequest contactPhones(Model84 contactPhones) {
    this.contactPhones = contactPhones;
    return this;
  }

   /**
   * Get contactPhones
   * @return contactPhones
  **/
  @ApiModelProperty(value = "")
  public Model84 getContactPhones() {
    return contactPhones;
  }

  public void setContactPhones(Model84 contactPhones) {
    this.contactPhones = contactPhones;
  }

  public PriceProtectionCreateClaimRequest certificateId(String certificateId) {
    this.certificateId = certificateId;
    return this;
  }

   /**
   * Identifier of the certificate related to the claim.
   * @return certificateId
  **/
  @ApiModelProperty(value = "Identifier of the certificate related to the claim.")
  public String getCertificateId() {
    return certificateId;
  }

  public void setCertificateId(String certificateId) {
    this.certificateId = certificateId;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PriceProtectionCreateClaimRequest priceProtectionCreateClaimRequest = (PriceProtectionCreateClaimRequest) o;
    return Objects.equals(this.purchasedItem, priceProtectionCreateClaimRequest.purchasedItem) &&
        Objects.equals(this.advertisedPrice, priceProtectionCreateClaimRequest.advertisedPrice) &&
        Objects.equals(this.existingCase, priceProtectionCreateClaimRequest.existingCase) &&
        Objects.equals(this.affectedPerson, priceProtectionCreateClaimRequest.affectedPerson) &&
        Objects.equals(this.otherInsuranceCovering, priceProtectionCreateClaimRequest.otherInsuranceCovering) &&
        Objects.equals(this.legalConsents, priceProtectionCreateClaimRequest.legalConsents) &&
        Objects.equals(this.policy, priceProtectionCreateClaimRequest.policy) &&
        Objects.equals(this.totalAmountClaimed, priceProtectionCreateClaimRequest.totalAmountClaimed) &&
        Objects.equals(this.amountEstimationDamage, priceProtectionCreateClaimRequest.amountEstimationDamage) &&
        Objects.equals(this.contactPhones, priceProtectionCreateClaimRequest.contactPhones) &&
        Objects.equals(this.certificateId, priceProtectionCreateClaimRequest.certificateId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(purchasedItem, advertisedPrice, existingCase, affectedPerson, otherInsuranceCovering, legalConsents, policy, totalAmountClaimed, amountEstimationDamage, contactPhones, certificateId);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PriceProtectionCreateClaimRequest {\n");
    
    sb.append("    purchasedItem: ").append(toIndentedString(purchasedItem)).append("\n");
    sb.append("    advertisedPrice: ").append(toIndentedString(advertisedPrice)).append("\n");
    sb.append("    existingCase: ").append(toIndentedString(existingCase)).append("\n");
    sb.append("    affectedPerson: ").append(toIndentedString(affectedPerson)).append("\n");
    sb.append("    otherInsuranceCovering: ").append(toIndentedString(otherInsuranceCovering)).append("\n");
    sb.append("    legalConsents: ").append(toIndentedString(legalConsents)).append("\n");
    sb.append("    policy: ").append(toIndentedString(policy)).append("\n");
    sb.append("    totalAmountClaimed: ").append(toIndentedString(totalAmountClaimed)).append("\n");
    sb.append("    amountEstimationDamage: ").append(toIndentedString(amountEstimationDamage)).append("\n");
    sb.append("    contactPhones: ").append(toIndentedString(contactPhones)).append("\n");
    sb.append("    certificateId: ").append(toIndentedString(certificateId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

